using System;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] z = s.Split(' ');
            string a = z[0];
            string b = z[1];
            string c = z[2];
            int s1 =int.Parse(a + b + c);
            int s2 =int.Parse(a + c + b);
            int s3 =int.Parse(b + a + c);
            int s4 =int.Parse(b + c + a);
            int s5 =int.Parse(c + a + b);
            int s6 =int.Parse(c + b + a);          
            Console.WriteLine(Math.Max(Math.Max(Math.Max(Math.Max(Math.Max(s1,s2),s3),s4),s5),s6));
            Console.ReadLine();
        }
    }
}